Skip to content

Business API ​

Use the Business API to retrieve and update the workspace associated with the authenticated API key.

Business object ​

FieldTypeDescription
idstringBusiness ID with the biz_ prefix.
namestringBusiness name.
emailstringPrimary business email.
phonestring | nullPrimary phone number.
currencystringISO 4217 currency code.
countrystringISO 3166-1 alpha-2 code.
timezonestringIANA timezone identifier.
created_atstringISO 8601 creation timestamp.
updated_atstringISO 8601 last-update timestamp.

Retrieve the business ​

http
GET /business
bash
curl https://api.cedius.app/v1/business   -H "Authorization: Bearer cedius_test_sk_example"

200 OK

json
{
  "data": {
    "id": "biz_8f3a91",
    "name": "Master Frosty Foods",
    "email": "hello@masterfrosty.ng",
    "phone": "+2348012345678",
    "currency": "NGN",
    "country": "NG",
    "timezone": "Africa/Lagos",
    "created_at": "2026-09-01T09:00:00Z",
    "updated_at": "2026-09-09T10:00:00Z"
  }
}

Update the business ​

http
PATCH /business

Editable fields: name, email, phone, currency, country, timezone.

bash
curl -X PATCH https://api.cedius.app/v1/business   -H "Authorization: Bearer cedius_test_sk_example"   -H "Content-Type: application/json"   -d '{
    "name": "Master Frosty Foods Ltd",
    "timezone": "Africa/Lagos"
  }'

Common errors ​

StatusCodeMeaning
401authentication_failedAPI key is missing or invalid.
403permission_deniedCaller cannot update settings.
422validation_errorSubmitted values are invalid.

Cedius is an illustrative API documentation portfolio project.